#pragma once
#include <map>
struct Fish_TorpedoRankTypeData
{
	//ID
	int mID;
	//弹头排行榜类型 0-欢乐炸 1-衰神炸 2-英雄炸
	int mRankType;
	//普通，青铜，白银,黄金，钻石出现弹头信息的边界值
	std::vector<int> mNoticeValue;
	//普通，青铜，白银,黄金，钻石，定海单炸，定海累炸上榜限制
	std::vector<int> mLimit;
};

class Fish_TorpedoRankType
{
public:
private:
	static std::auto_ptr<Fish_TorpedoRankType> msSingleton;
public:
	int GetCount();
	const Fish_TorpedoRankTypeData* GetData(int ID);
	const std::map<int, Fish_TorpedoRankTypeData>& GetMapData();
	void Load();
	void LoadLua();
	void Reload();
	static Fish_TorpedoRankType* GetSingleton();
	static void Release();
private:
	std::map<int, Fish_TorpedoRankTypeData> mMapData;
};
